MsWksGraphInternal::BasicShape Struct Reference documentation

Public Member Functions | Public Attributes | Private Member Functions | List of all members
MsWksGraphInternal::BasicShape Struct Referencefinal

Internal: the simple form of a MsWksGraph ( line, rect, ...) More...

Inheritance diagram for MsWksGraphInternal::BasicShape:

## Public Member Functions
| BasicShape (Zone const &z)
| constructor
| ~BasicShape () final
| destructor
Type | type () const final
| return the type
void | print (std::ostream &o) const final
| operator<<
float | needExtraBorderWidth () const final
| return the extra border size
MWAWGraphicStyle | getStyle () const
| return the shape type
Public Member Functions inherited from MsWksGraphInternal::Zone
| Zone ()
| constructor
| Zone (Zone const &)=default
Zone & | operator= (Zone const &)=default
Zone & | operator= (Zone &&)=default
virtual | ~Zone ()
| destructor
virtual Type | type () const
| return the type
virtual bool | getBinaryData (MWAWInputStreamPtr, MWAWEmbeddedObject &picture) const
| return a binary data (if known)
virtual float | needExtraBorderWidth () const
| return the extra border space ( if needed)
virtual void | fillFrame (MWAWGraphicStyle &) const
| add frame parameters to propList (if needed )
MWAWBox2f | getLocalBox (bool extendWithBord=true) const
| return the box
MWAWPosition | getPosition (MWAWPosition::AnchorTo rel) const
virtual void | print (std::ostream &o) const
| the virtual print function

## Public Attributes
MWAWGraphicShape | m_shape
| the basic shape
Public Attributes inherited from MsWksGraphInternal::Zone
int | m_subType
| the type
int | m_zoneId
| the zone id
MWAWEntry | m_pos
| the file position
long | m_dataPos
| the data begin position
int | m_fileId
| the file id
long | m_ids [3]
| the zones id (main, previous, next)
int | m_page
| the page
MWAWBox2f | m_decal
| the local position
MWAWVec2f | m_finalDecal
| the final local position
MWAWBox2f | m_box
| local bdbox
int | m_line
| the line position(v1)
MsWksGraph::Style | m_style
| the style
int | m_order
| the picture order
std::string | m_extra
| extra data
bool | m_doNotSend
| a flag used to know if we need to send the data ( or if this is the part of a sub group)
bool | m_isSent
| true if the zone is send

## Private Member Functions
| BasicShape (BasicShape const &)=delete
BasicShape & | operator= (BasicShape const &)=delete

## Additional Inherited Members
Public Types inherited from MsWksGraphInternal::Zone
enum | Type { Unknown , Shape , ChartZone , Group , Pict , Text , Textv4 , Bitmap , TableZone , OLE }

## Detailed Description

Internal: the simple form of a MsWksGraph ( line, rect, ...)

## Constructor & Destructor Documentation

## ◆ BasicShape() [1/2]

MsWksGraphInternal::BasicShape::BasicShape | ( | Zone const & | z | ) |
| inlineexplicit

constructor

## ◆ ~BasicShape()

MsWksGraphInternal::BasicShape::~BasicShape | ( |  | ) |
| final

destructor

## ◆ BasicShape() [2/2]

MsWksGraphInternal::BasicShape::BasicShape | ( | BasicShape const & |  | ) |
| privatedelete

## Member Function Documentation

## ◆ getStyle()

MWAWGraphicStyle MsWksGraphInternal::BasicShape::getStyle | ( |  | ) | const
| inline

return the shape type

## ◆ needExtraBorderWidth()

float MsWksGraphInternal::BasicShape::needExtraBorderWidth | ( |  | ) | const
| inlinefinalvirtual

return the extra border size

Reimplemented from MsWksGraphInternal::Zone.

## ◆ operator=()

BasicShape & MsWksGraphInternal::BasicShape::operator= | ( | BasicShape const & |  | ) |
| privatedelete

## ◆ print()

void MsWksGraphInternal::BasicShape::print | ( | std::ostream & | o | ) | const
| inlinefinalvirtual

operator<<

Reimplemented from MsWksGraphInternal::Zone.

## ◆ type()

Type MsWksGraphInternal::BasicShape::type | ( |  | ) | const
| inlinefinalvirtual

return the type

Reimplemented from MsWksGraphInternal::Zone.

## Member Data Documentation

## ◆ m_shape

MWAWGraphicShape MsWksGraphInternal::BasicShape::m_shape

the basic shape

Referenced by needExtraBorderWidth(), and print().

The documentation for this struct was generated from the following file:

- MsWksGraph.cxx